Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.choose
Class ChoosePrefilter

    java.lang.Object
      com.servingxml.components.choose.ChoosePrefilter

All Implemented Interfaces:
  Choose, Content, RecordFilterAppender, RecordPipelineAppender, MapXmlFactory, Stringable, StringFactory, Task

    public class ChoosePrefilter

extends java.lang.Object
implements Choose

Nested Class Summary

Nested classes/interfaces inherited from interface com.servingxml.components.string.Stringable
`Stringable.EmptyStringable`

Nested classes/interfaces inherited from interface com.servingxml.components.string.Stringable
`Stringable.EmptyStringable`

Nested classes/interfaces inherited from interface com.servingxml.components.string.StringFactory
`StringFactory.UninitializedStringFactory`

Nested classes/interfaces inherited from interface com.servingxml.components.string.Stringable
`Stringable.EmptyStringable`

Field Summary

Fields inherited from interface com.servingxml.components.string.Stringable
`EMPTY`

Fields inherited from interface com.servingxml.components.content.Content
`EMPTY_ARRAY`

Fields inherited from interface com.servingxml.components.string.Stringable
`EMPTY`

Fields inherited from interface com.servingxml.components.string.StringFactory
`UNINITIALIZED`

Fields inherited from interface com.servingxml.components.string.Stringable
`EMPTY`

Constructor Summary
`ChoosePrefilter(Choose choose, ParameterDescriptor[] parameterDescriptors)`

Method Summary
`void` | `addToXsltEvaluator(java.lang.String mode, XsltEvaluatorFactory recordTemplatesFactory)`
`void` | `appendToRecordPipeline(ServiceContext context, Flow flow, RecordFilterChain pipeline)`
`void` | `appendToXmlPipeline(ServiceContext context, Flow flow, XmlFilterChain pipeline)`
`MapXml` | `createMapXml(ServiceContext context)`
`RecordPipeline` | `createRecordPipeline(ServiceContext context, Flow flow)`
`SaxSource` | `createSaxSource(ServiceContext context, Flow flow)`
`java.lang.String` | `createString(ServiceContext context, Flow flow)`
`void` | `createString(ServiceContext context, Flow flow, java.lang.StringBuilder buf)`
`XmlPipeline` | `createXmlPipeline(ServiceContext context, Flow flow)`
`void` | `execute(ServiceContext context, Flow flow)`
`boolean` | `isGroup()`
`boolean` | `isRecord()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChoosePrefilter

    public ChoosePrefilter(Choose choose,
                           ParameterDescriptor[] parameterDescriptors)

Method Detail

### createRecordPipeline

    public RecordPipeline createRecordPipeline(ServiceContext context,
                                               Flow flow)

  Specified by:
    `createRecordPipeline` in interface `RecordPipelineAppender`

### createString

    public java.lang.String createString(ServiceContext context,
                                         Flow flow)

  Specified by:
    `createString` in interface `Stringable`
  Specified by:
    `createString` in interface `StringFactory`

### createString

    public void createString(ServiceContext context,
                             Flow flow,
                             java.lang.StringBuilder buf)

  Specified by:
    `createString` in interface `StringFactory`

### execute

    public void execute(ServiceContext context,
                        Flow flow)

  Specified by:
    `execute` in interface `Task`

### appendToXmlPipeline

    public void appendToXmlPipeline(ServiceContext context,
                                    Flow flow,
                                    XmlFilterChain pipeline)

  Specified by:
    `appendToXmlPipeline` in interface `Content`

### appendToRecordPipeline

    public void appendToRecordPipeline(ServiceContext context,
                                       Flow flow,
                                       RecordFilterChain pipeline)

  Specified by:
    `appendToRecordPipeline` in interface `RecordPipelineAppender`

### createSaxSource

    public SaxSource createSaxSource(ServiceContext context,
                                     Flow flow)

  Specified by:
    `createSaxSource` in interface `Content`

### createXmlPipeline

    public XmlPipeline createXmlPipeline(ServiceContext context,
                                         Flow flow)

  Specified by:
    `createXmlPipeline` in interface `Content`

### createMapXml

    public MapXml createMapXml(ServiceContext context)

  Specified by:
    `createMapXml` in interface `MapXmlFactory`

### addToXsltEvaluator

    public void addToXsltEvaluator(java.lang.String mode,
                                   XsltEvaluatorFactory recordTemplatesFactory)

  Specified by:
    `addToXsltEvaluator` in interface `MapXmlFactory`

### isGroup

    public boolean isGroup()

  Specified by:
    `isGroup` in interface `MapXmlFactory`

### isRecord

    public boolean isRecord()

  Specified by:
    `isRecord` in interface `MapXmlFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD